#1711 Removal of dependencies on net-tools
Closed 2 years ago Opened 2 years ago by jhogarth.

For any fesco member who haven't seen the thread I started yesterday, please take a look at it:

https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/thread/OATM2PQLRKNUW54CQRZ33WUNS6WZMPVL/

mattdm suggested that a fesco ticket should be involved in some way

I'm willing to do the legwork in filing bugs in bugzilla and upstream and working with people to get the dependency on net-tools removed in the packages we ship, but I could do with a little guidance on the proper process for the tracking bug (if we have one) and what, if anything, needs to elevated to fesco/fpc and any formal Change.

I don't imagine we'll get this completed by F27 or even F28, and maybe we'll never get all our packages off of net-tools, but I feel that we can make a good start and get most of the way.

For reference from my F26 system dnf repoquery --all --whatrequires net-tools lists:

WALinuxAgent-0:2.0.18-2.fc26.noarch
beakerlib-0:1.15-2.fc26.noarch
chkrootkit-0:0.52-1.fc26.x86_64
cloud-init-0:0.7.9-4.fc26.noarch
cloud-init-0:0.7.9-5.fc26.noarch
ctdb-2:4.6.3-0.fc26.x86_64
facter-0:2.4.3-1.fc23.x86_64
gnome-nettool-0:3.8.1-9.fc26.x86_64
inxi-0:2.3.8-2.fc26.noarch
iodine-server-0:0.7.0-7.fc26.x86_64
mariadb-server-3:10.1.21-3.fc26.x86_64
mediatomb-0:0.12.1-40.fc26.20120403gitb66dc1.x86_64
open-vm-tools-0:10.1.5-4.fc26.i686
open-vm-tools-0:10.1.5-4.fc26.x86_64
openslp-server-0:2.0.0-12.fc26.x86_64
openwsman-server-0:2.6.3-2.git4391e5c.fc26.i686
openwsman-server-0:2.6.3-2.git4391e5c.fc26.x86_64
peervpn-0:0.044-1.fc25.x86_64
pki-server-0:10.3.5-12.fc26.noarch
psad-0:2.4.3-4.fc26.x86_64
redhat-lsb-supplemental-0:4.1-34.fc26.x86_64
resource-agents-0:4.0.1-1.fc26.1.x86_64
synce-connector-0:0.15.2-13.fc24.i686
synce-connector-0:0.15.2-13.fc24.x86_64
systemtap-runtime-java-0:3.1-3.fc26.x86_64
testcloud-0:0.1.11-1.fc26.noarch
tunir-0:0.17.1-1.fc26.noarch
tunir-0:0.17.2-1.fc26.noarch
vpnc-script-0:20140805-5.gitdf5808b.fc26.noarch
wicd-common-0:1.7.4-2.fc26.noarch
wifi-radar-0:2.0.s10-4.fc26.noarch
wlassistant-0:0.5.7-25.fc26.x86_64
x2goserver-0:4.0.1.20-2.fc26.x86_64

As I pointed out on the list with IPv6 becoming more prominent and net-tools being pretty useless with that we would do well to get off of the need for it as far as possible.

Thoughts? Anyone willing to provide guidance if I need it from time to time on process?


Adding meeting keyword

Metadata Update from @kevin:
- Issue tagged with: meeting

2 years ago

I can't make the meeting this week. I recommend we direct the reporter to follow the steps outlined at https://fedoraproject.org/wiki/Mass_bug_filing and proceed with this effort.

Metadata Update from @jforbes:
- Issue status updated to: Closed (was: Open)

2 years ago

Login to comment on this ticket.

Metadata